class ConnectivityError implements Exception {
  final int? code;
  final String message;

  const ConnectivityError({this.code, required this.message});

  @override
  String toString() {
    return code == null 
      ? 'Error response, message: $message)' 
      : 'Error response (code: $code, message: $message)';
  }
}
